package MT::Plugin::Path2Alias;
use strict;

use MT;
use MT::Template::Context;
require MT::Plugin;

our $VERSION = "0.1";

@MT::Plugin::Path2Alias::ISA = qw(MT::Plugin);

my $plugin = new MT::Plugin::Path2Alias({
	name => 'Path2Alias',
	version => $VERSION,
	author_name => 'Junnama Noda',
	description => '<MT_TRANS phrase=\'_PLUGIN_DESCRIPTION\'>',
	author_link => 'http://junnama.alfasado.net/online/',
	settings => new MT::PluginSettings([
		['path_01'],
		['path_02'],
		['path_03'],
		['path_04'],
		['path_05'],
		['alias_01'],
		['alias_02'],
		['alias_03'],
		['alias_04'],
		['alias_05'],
	]),
	l10n_class => 'Path2Alias::L10N',
	blog_config_template => 'Path2Alias.tmpl',
});

MT->add_plugin($plugin);

MT::Template::Context->add_global_filter(Path2Alias => \&_Path2Alias);

# <$MTEntryPermalink Path2Alias="1"$>

sub _Path2Alias {
	my($text, $arg, $ctx) = @_;
	my $blog = $ctx->stash('blog');
	my $config_id = 'blog:'.$blog->id;
	my $pth_str = 'path_0';
	my $als_str = 'alias_0';
	for (1..5) {
		my $get_pathes = $pth_str.$_;
		my $get_aliases = $als_str.$_;
		$get_pathes = $plugin->get_config_value($get_pathes, $config_id);
		if ($get_pathes) {
			if ($text eq $get_pathes) {
				return $plugin->get_config_value($get_aliases, $config_id);
			}
		}
	}
	return $text;
}

1;